<div class="mb-3">
  <h3
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <select
    #ref
    class="form-select"
    [id]="block.key()"
    [attr.aria-describedby]="explanation && block.key('explanation')"
    (change)="block.value=ref.value"
    (focus)="block.onFocus(ref)"
    (blur)="block.onBlur(ref)"
  >
    <option *ngIf="placeholder" value="">{{ placeholder }}</option>
    <option *ngFor="let option of block.props.options" [value]="option.id" [selected]="option.id===block.value">
      {{ option.name || "..."}}
    </option>
  </select>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
